//
//	Loading and Playing an Mp3 example. Yes it is as easy as this....
//
//	

#include "Mp3.h"
#include <stdio.h>
#include <string.h>

void main()
{
	printf("commands:\n\n");
	printf("play\n");
	printf("stop\n");
	printf("pause\n\n");
	printf("quit\n\n");
	printf("getVolume\n");
	printf("getBalance\n");
	printf("setVolume\n");
	printf("setBalance\n\n");


	// this is used to hold the user input text 
	char buffer[256];

	// a flag to see if the user wants to quit yet
	int done = 0;

	// initialise DirectShow
	Mp3Init();

	// load an mp3 file
	Mp3Load("tune.mp3");

	// keep looping until user wants to quit
	while (!done) 
	{

		// read in a string from the user
		scanf("%s",buffer);

		// if quit command read in ...
		if (strcmp(buffer,"quit")==0) 
		{
			done = 1;
		}
		else

		// if stop command read in 
		if (strcmp(buffer,"stop")==0) 
		{
			Mp3Stop();
		}
		else

		// if play command read in
		if (strcmp(buffer,"play")==0) 
		{
			Mp3Play();
		}
		else

		// if pause command read in
		if (strcmp(buffer,"pause")==0) 
		{
			Mp3Pause();
		}
		else

		// if play command read in
		if (strcmp(buffer,"getVolume")==0) 
		{
			printf("// volume = %d\n",Mp3GetVolume());
		}
		else

		// if pause command read in
		if (strcmp(buffer,"getBalance")==0) 
		{
			printf("// balance = %d\n",Mp3GetBalance());
		}
		else

		// if play command read in
		if (strcmp(buffer,"setVolume")==0) 
		{
			long volume;
			printf("Please enter volume [-10000 -> 0]:\n");
			scanf("%d",&volume);
			Mp3SetVolume(volume);
		}
		else

		// if pause command read in
		if (strcmp(buffer,"setBalance")==0) 
		{
			long balance;
			printf("Please enter balance [-10000 -> 10000]:\n");
			scanf("%d",&balance);
			Mp3SetBalance(balance);
		}
	}

	// kill DirectShow
	Mp3Cleanup();

}